﻿const webpack = require('webpack');
const Path = require('path');

let configs = [],
  dirs = [
    ['./src/utils.js', 'utils'],
    ['./src/a-map.js', 'cityAMap'],
    ['./src/map.js', 'cityMap'],
    ['./src/gmap.js', 'cityGMap'],
    ['./src/citymap-control.js', 'cityMapControl'],
    ['./src/citymap-control-bl.js', 'cityMapControlBL'],
    ['./src/citymap-timeaxis.js', 'cityMapTimeAxis'],
    ['./src/citymap-tablefixed.js', 'tableFixed'],
    ['./src/citymap-request.js', 'request'],
    ['./src/mapv2.js', 'mapv']
  ];

dirs.forEach((arr) => {
  let dir = arr[0];

  let name = dir.substring(dir.lastIndexOf('/'), dir.length - 3);
  let entry = {};
  entry[name] = dir;

  configs.push({
    devtool: 'cheap-module-source-map',
    entry: entry,
    output: {
      //   publicPath: 'https://js.soufunimg.com/industry/citymap/js/', // 设置require.ensure路径
      chunkFilename: '[name][chunkHash].js', // 设置require.ensure 文件名
      path: __dirname + '/lib/', //打包后的文件存放的地方
      libraryTarget: 'umd',
      library: arr[1],
      libraryExport: 'default', // 增加这个属性
      filename: '[name].min.js' //打包后输出文件的文件名
    },
    resolve: {
      extensions: ['.js', '.jsx', '.coffee'],
      alias: {
        'yjy-commonjs': Path.resolve('./')
      }
    },
    module: {
      loaders: [
        {
          test: /\.js$/,
          exclude: /node_modules/,
          loader: 'babel-loader'
        },
        {
          test: /\.(png|jpg|gif|svg)$/,
          loader: 'url-loader?limit=8192&name=images/[name].[hash:8].[ext]'
        }
      ]
    },
    plugins: [
      new webpack.optimize.UglifyJsPlugin({
        compress: {
          warnings: false
        }
      })
    ]
  });
});
module.exports = configs;
